TICKIT_WINDOW_SET_STEAL_INPUT(3)

NAME
tickit_window_set_steal_input - control whether windows steal all input events

SYNOPSIS
    #include <tickit.h>

    bool tickit_window_is_steal_input(const TickitWindow *win);
    void tickit_window_set_steal_input(TickitWindow *win, bool steal);

Link with -ltickit.

DESCRIPTION
tickit_window_is_steal_input() returns the current state of the input-stealing setting on the window. If true, this causes the window to have special behaviour on input events that are likely to be useful to implement popup windows. Specifically, the window receives all key events on its parent even before the sibling with the input focus receives them, provided it is the front-most child of its parent. Additionally, the window will receive all mouse events, even those outside of its geometry.

tickit_window_set_steal_input() changes the value of this setting.

The initial value is normally false, unless the TICKIT_WINDOW_STEAL_INPUT flag was passed to the tickit_window_new(3) function call that created the window.

This function is discouraged in favour of using the TICKIT_WINCTL_STEAL_INPUT window control with tickit_window_setctl_int(3).

RETURN VALUE
tickit_window_is_steal_input() returns a boolean. tickit_window_set_steal_input() returns no value.

SEE ALSO
tickit_window_new(3), tickit_window(7), tickit(7)